using System;
using System.Drawing;
using System.ComponentModel;
using System.Runtime.Serialization;
using System.Windows.Forms;
using Syncfusion.Windows.Forms;

using Syncfusion.Windows.Forms.Diagram;

namespace CoordinateSystem
{
	/// <summary>
	/// Summary description for MySymbol.
	/// </summary>
	[Serializable()]
	public class MySymbol :Symbol
	{
		private Syncfusion.Windows.Forms.Diagram.Rectangle rect = null;
		private string strDescription = "NewCustomSymbol";
		
		public MySymbol()
		{
		
			this.rect = new Syncfusion.Windows.Forms.Diagram.Rectangle(10,10,120,80);
			this.rect.FillStyle.ForeColor = Color.Orange;
			this.rect.FillStyle.Type = Syncfusion.Windows.Forms.Diagram.FillStyleType.LinearGradient;
			this.AppendChild(rect);
		}

		/// <summary>
		/// Serialization constructor for symbols.
		/// </summary>
		/// <param name="info">Serialization state information</param>
		/// <param name="context">Streaming context information</param>
		protected MySymbol(SerializationInfo info, StreamingContext context) : base(info, context)
		{
			this.strDescription = info.GetString("strDescription");
		}
		[
		Browsable(true),
		Category("General"),
		Description("Description of the symbol"),
		DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)
		]
		public string Description
		{
			get
			{
				return this.strDescription;
			}
			set
			{
				this.strDescription = value;
			}
		}

		/// <summary>
		/// Populates a SerializationInfo with the data needed to
		/// serialize the target object.
		/// </summary>
		/// <param name="info">SerializationInfo object to populate</param>
		/// <param name="context">Destination streaming context</param>
		protected override void GetObjectData(SerializationInfo info, StreamingContext context)
		{
			base.GetObjectData(info, context);

			// Additional member variables are serialized here
			info.AddValue("strDescription", this.strDescription);
		}
	}
}
